import { $ } from "execa";
import { Octokit } from "octokit";
async function getOctokit() {
  try {
    await $`gh auth status`;
  } catch (error) {
    throw new Error("GitHub authentication failed.", {
      cause: error.message
    });
  }
  const auth = (await $`gh auth token`).stdout.trim();
  return new Octokit({ auth });
}
export {
  getOctokit
};
//# sourceMappingURL=getOctokit.js.map