import { Options } from '../../../../shared/types.js';

declare function createWorkflows(options: Options): {
    "test.yml"?: string | undefined;
    "post-release.yml"?: string | undefined;
    "release.yml"?: string | undefined;
    "lint-spelling.yml"?: string | undefined;
    "lint-package.yml"?: string | undefined;
    "lint-markdown.yml"?: string | undefined;
    "lint-knip.yml"?: string | undefined;
    "lint.yml": string;
    "contributors.yml"?: string | undefined;
    "compliance.yml"?: string | undefined;
    "build.yml": string;
    "pr-review-requested.yml": string;
    "prettier.yml": string;
    "tsc.yml": string;
};

export { createWorkflows };
