import { Options } from '../../../shared/types.js';

declare function createRootFiles(options: Options): Promise<{
    "vitest.config.ts"?: string | undefined;
    "package.json": string;
    "tsconfig.eslint.json": string;
    "tsconfig.json": string;
    "tsup.config.ts": string;
    "knip.jsonc"?: string | undefined;
    "cspell.json"?: string | undefined;
    "LICENSE.md": string;
    ".release-it.json"?: string | undefined;
    ".nvmrc": string;
    ".prettierignore": string;
    ".prettierrc": string;
    ".npmpackagejsonlintrc.json"?: string | undefined;
    ".markdownlint.json"?: string | undefined;
    ".markdownlintignore"?: string | undefined;
    ".all-contributorsrc": string;
    ".eslintignore": string;
    ".eslintrc.cjs": string;
    ".gitignore": string;
}>;

export { createRootFiles };
