const aliases = /* @__PURE__ */ new Map([
  ["enhancement", "type: feature"],
  ["help wanted", "status: accepting prs"]
]);
function getExistingEquivalentLabel(existingLabels, outcomeLabel) {
  const outcomeTrimmed = outcomeLabel.replace(/\w+: (\w+)/, "$1");
  return existingLabels.find((existingLabel) => {
    return existingLabel === outcomeLabel || existingLabel === outcomeTrimmed || aliases.get(existingLabel) === outcomeLabel || existingLabel.replace(/\w+: (\w+)/, "$1") === outcomeLabel;
  });
}
export {
  getExistingEquivalentLabel
};
//# sourceMappingURL=getExistingEquivalentLabel.js.map