import { createDotGitHub } from "./dotGitHub/index.js";
import { createDotHusky } from "./dotHusky.js";
import { createDotVSCode } from "./dotVSCode.js";
import { createRootFiles } from "./rootFiles.js";
import { createSrc } from "./src.js";
async function createStructure(options) {
  return {
    ".github": await createDotGitHub(options),
    ".husky": createDotHusky(),
    ".vscode": await createDotVSCode(options),
    src: await createSrc(options),
    ...await createRootFiles(options)
  };
}
export {
  createStructure
};
//# sourceMappingURL=index.js.map